From 2f97d988e56c9712b5515e35da2e51e39120ef2a Mon Sep 17 00:00:00 2001
From: Fatih Degirmenci <fatih.degirmenci@ericsson.com>
Date: Tue, 13 Dec 2016 17:51:34 +0100
Subject: Skip cloning netvirt repo and fail the job if artifact doesn't exist

We do not need to clone netvirt repo as we are only interested
in the artifact.

Netvirt artifacts are removed from ODL Jenkins due to ODL Jenkins
artifact retention policy. This change ensures that we do not proceed
with the rest of the jobs if the artifact does not exist.

Change-Id: I9d8af28f5829fc9688c76f116d0bad737a9ecab6
Signed-off-by: Fatih Degirmenci <fatih.degirmenci@ericsson.com>
---
 jjb/3rd_party_ci/download-netvirt-artifact.sh |  8 +++++++-
 jjb/3rd_party_ci/odl-netvirt.yml              | 12 ------------
 2 files changed, 7 insertions(+), 13 deletions(-)

(limited to 'jjb')

diff --git a/jjb/3rd_party_ci/download-netvirt-artifact.sh b/jjb/3rd_party_ci/download-netvirt-artifact.sh
index d0b9a05d7..671a5fe7f 100755
--- a/jjb/3rd_party_ci/download-netvirt-artifact.sh
+++ b/jjb/3rd_party_ci/download-netvirt-artifact.sh
@@ -7,7 +7,13 @@ ODL_JOB_URL=$(curl -s $CHANGE_DETAILS_URL | grep netvirt-patch-test-current-carb
     sed 's/\\n//g' | awk '{print $6}')
 NETVIRT_ARTIFACT_URL="${ODL_JOB_URL}org.opendaylight.integration\$distribution-karaf/artifact/org.opendaylight.integration/distribution-karaf/0.6.0-SNAPSHOT/distribution-karaf-0.6.0-SNAPSHOT.tar.gz"
 echo -e "URL to artifact is\n\t$NETVIRT_ARTIFACT_URL"
+
 echo "Downloading the artifact. This could take time..."
-curl -s -o $NETVIRT_ARTIFACT $NETVIRT_ARTIFACT_URL
+wget -q -O $NETVIRT_ARTIFACT $NETVIRT_ARTIFACT_URL
+if [[ $? -ne 0 ]]; then
+    echo "The artifact does not exist! Probably removed due to ODL Jenkins artifact retention policy."
+    echo "Rerun netvirt-patch-test-current-carbon to get artifact rebuilt."
+    exit 1
+fi
 echo "Download complete"
 ls -al $NETVIRT_ARTIFACT
diff --git a/jjb/3rd_party_ci/odl-netvirt.yml b/jjb/3rd_party_ci/odl-netvirt.yml
index 70f8c7359..0948353aa 100644
--- a/jjb/3rd_party_ci/odl-netvirt.yml
+++ b/jjb/3rd_party_ci/odl-netvirt.yml
@@ -59,12 +59,6 @@
             default: $WORKSPACE/distribution-karaf.tar.gz
         - 'ericsson-virtual6-defaults'
 
-    scm:
-        - gerrit-trigger-scm:
-            credentials-id: '{ssh-credentials}'
-            refspec: '$GERRIT_REFSPEC'
-            choosing-strategy: 'gerrit'
-
     triggers:
         - gerrit:
             server-name: 'git.opendaylight.org'
@@ -177,12 +171,6 @@
                 - 'odl-netvirt-verify-virtual-postprocess-.*'
             block-level: 'NODE'
 
-    scm:
-        - gerrit-trigger-scm:
-            credentials-id: '{ssh-credentials}'
-            refspec: '$GERRIT_REFSPEC'
-            choosing-strategy: 'gerrit'
-
     wrappers:
         - ssh-agent-credentials:
             users:
-- 
cgit